Secrets API
Get a Secret
GET
/
v1
/
secrets
/
{id}
Get a Secret
curl --request GET \
--url https://api.browserbase.com/v1/secrets/{id} \
--header 'X-BB-API-Key: <api-key>'import requests
url = "https://api.browserbase.com/v1/secrets/{id}"
headers = {"X-BB-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-BB-API-Key': '<api-key>'}};
fetch('https://api.browserbase.com/v1/secrets/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.browserbase.com/v1/secrets/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-BB-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.browserbase.com/v1/secrets/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-BB-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.browserbase.com/v1/secrets/{id}")
.header("X-BB-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.browserbase.com/v1/secrets/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-BB-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"secretKey": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"statusCode": 123,
"error": "<string>",
"message": "<string>"
}{
"statusCode": 123,
"error": "<string>",
"message": "<string>"
}Authorizations
Your Browserbase API Key.
Path Parameters
The id of the project secret to retrieve.
Response
The secret metadata.
Unique identifier of the secret.
The name the secret value is stored under.
Time at which the secret was created, in UTC, using RFC 3339 format, e.g. 2026-01-19T00:00:00.000Z.
Time at which the secret's value was last set, in UTC, using RFC 3339 format, e.g. 2026-01-20T00:00:00.000Z.
Was this page helpful?
⌘I
Get a Secret
curl --request GET \
--url https://api.browserbase.com/v1/secrets/{id} \
--header 'X-BB-API-Key: <api-key>'import requests
url = "https://api.browserbase.com/v1/secrets/{id}"
headers = {"X-BB-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-BB-API-Key': '<api-key>'}};
fetch('https://api.browserbase.com/v1/secrets/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.browserbase.com/v1/secrets/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-BB-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.browserbase.com/v1/secrets/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-BB-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.browserbase.com/v1/secrets/{id}")
.header("X-BB-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.browserbase.com/v1/secrets/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-BB-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"secretKey": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"statusCode": 123,
"error": "<string>",
"message": "<string>"
}{
"statusCode": 123,
"error": "<string>",
"message": "<string>"
}